Installing a pkg from the FreeBSD repositories on 2.3



  • Hi,

    I'm new to FreeBSD and pfSense and I've noticed that after moving from 2.2.6 to 2.3 RC the FreeBSD repository is no longer enabled and instead there's just:

    pkg+http://beta.pfsense.org/packages/pfSense_v2_3_amd64-core
    pkg+http://beta.pfsense.org/packages/pfSense_v2_3_amd64-pfSense_v2_3

    The repository in /et/pkg/FreeBSD.conf:

    pkg+http://pkg.FreeBSD.org/${ABI}/quarterly

    contains a couple of packages which I need to install (and don't, and probably won't, exist in the pfSense repo).

    I understand the package handling in pfSense was overhauled for 2.3 but is there a way for me to install these two packages still?

    If there is a way to do this without permanently enabling the FreeBSD port repo that would be ideal as I'm guessing there may be issues having it enabled alongside pfSense repos.

    Thanks.





  • Thanks. I did try a quick site:pfsense.org search on Google but must've missed this.